## org.eclipse.datatools.connectivity.oda.spec.valueexpr
Class CombinedValueExpressionOperator

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.spec.valueexpr.CombinedValueExpressionOperator

All Implemented Interfaces:
  org.eclipse.core.runtime.IExecutableExtension

    public class CombinedValueExpressionOperator

extends java.lang.Object
implements org.eclipse.core.runtime.IExecutableExtension

Represents the operator that combines two value expressions in a `CombinedValueExpression`.
An ODA dynamicResultSet extension declares its support of specific built-in operator types in the combinedOperatorTypes element in its extension manifest.
An extension may extend this class to override the literal representation of a built-in combined operator, or to implement its custom combined operator type(s). A subclass specified in a dynamicResultSet extension manifest must implement IExecutableExtension with a public 0-arg constructor, and override the #setLiteral and/or #getLiteral methods.

Since:
  3.2.2 (DTP 1.7.2)

Field Summary
`static java.lang.String` `ADD` The id of built-in combined operator types.
`static CombinedValueExpressionOperator` `ADD_LITERAL` Literal instances of built-in combined operator types.
`static java.lang.String` `CONCATENATE`
`static CombinedValueExpressionOperator` `CONCATENATE_LITERAL`
`static java.lang.String` `DIVIDE`
`static CombinedValueExpressionOperator` `DIVIDE_LITERAL`
`static java.lang.String` `MULTIPLY`
`static CombinedValueExpressionOperator` `MULTIPLY_LITERAL`
`static java.lang.String` `SUBTRACT`
`static CombinedValueExpressionOperator` `SUBTRACT_LITERAL`

Method Summary
`static CombinedValueExpressionOperator` `get(java.lang.String builtInOperatorId)` Returns the literal instance of the specified built-in combined operator type.
`java.lang.String` `getId()` Returns the id of this operator.
`java.lang.String` `getLiteral()` Returns the literal symbol or representation of this operator.
`void` `setInitializationData(org.eclipse.core.runtime.IConfigurationElement config, java.lang.String propertyName, java.lang.Object data)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADD

    public static final java.lang.String ADD

  The id of built-in combined operator types.

  See Also:
    Constant Field Values

### SUBTRACT

    public static final java.lang.String SUBTRACT

See Also:
  Constant Field Values

### MULTIPLY

    public static final java.lang.String MULTIPLY

See Also:
  Constant Field Values

### DIVIDE

    public static final java.lang.String DIVIDE

See Also:
  Constant Field Values

### CONCATENATE

    public static final java.lang.String CONCATENATE

See Also:
  Constant Field Values

### ADD_LITERAL

    public static final CombinedValueExpressionOperator ADD_LITERAL

  Literal instances of built-in combined operator types.

### SUBTRACT_LITERAL

    public static final CombinedValueExpressionOperator SUBTRACT_LITERAL

### MULTIPLY_LITERAL

    public static final CombinedValueExpressionOperator MULTIPLY_LITERAL

### DIVIDE_LITERAL

    public static final CombinedValueExpressionOperator DIVIDE_LITERAL

### CONCATENATE_LITERAL

    public static final CombinedValueExpressionOperator CONCATENATE_LITERAL

Method Detail

### get

    public static final CombinedValueExpressionOperator get(java.lang.String builtInOperatorId)

  Returns the literal instance of the specified built-in combined operator type.

  Parameters:
    `type` - the type code of a built-in combined operator
  Returns:
    literal instance of the specified operator type

### setInitializationData

    public void setInitializationData(org.eclipse.core.runtime.IConfigurationElement config,
                                      java.lang.String propertyName,
                                      java.lang.Object data)
                               throws org.eclipse.core.runtime.CoreException

  Specified by:
    `setInitializationData` in interface `org.eclipse.core.runtime.IExecutableExtension`
  Throws:
    `org.eclipse.core.runtime.CoreException`

### getId

    public java.lang.String getId()

  Returns the id of this operator.

  Returns:
    combined operator id

### getLiteral

    public java.lang.String getLiteral()

  Returns the literal symbol or representation of this operator.

  Returns:
    literal representation

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`